# Introduction

The Lollipop is a [single-board computer (SBC)](https://en.wikipedia.org/wiki/Single-board_computer) cloud device, with the ability to manage your own cellular internet, wifi, VPN, firewall, web server, data backup and syncing, ad blocker, notes and project management, git, RSS feeds, "read it later" bookmark management, GPS mapping, and more. Some of these features (like GPS and cellular internet) require extra hardware, but the base device consists of an SBC with an SD memory card loaded with Armbian.

# Getting Started
You will need a single-board computer (SBC) like a [Pine64](https://www.pine64.org/) or an [Orange Pi](http://www.orangepi.org/). For more about hardware, and why the Raspberry Pi is not recommended, see the [hardware notes](https://git.lollipop.holdmybeer.solutions/lollipop-cloud/lolipop_lan_cloud/src/branch/master/docs/hardware_notes.md). You will need any appropriate cables and peripherals for accessing your future Lollipop, such as a keyboard and monitor, unless you are accessing it via your computer and SSH.

You will also need an SD card formatted with Armbian installed.

## Installing Armbian onto an SD card
[Armbian](https://www.armbian.com/) is a Linux operating system based on Debian and Ubuntu, specifically designed for [ARM boards](https://en.wikipedia.org/wiki/ARM_architecture). You will need to [download Armbian for the board you're setting up](https://www.armbian.com/download/) (we're using a Pine64), and save it to your computer. NOTE: experienced users might want to use the experimental versions, but the rest of us should stick to the supported and stable builds. 

You will need to extract (unzip) the Armbian file once it downloads. Armbian is downloaded as a 7z archive (with the file extension .7z), so you may need a special program to extract this file. Try [Keka](https://www.keka.io/) for MacOS, [7-zip](http://www.7-zip.org/) for Windows, or 7z for Linux (`apt-get install p7zip-full`). Extract the file to a location you can remember (such as your desktop).

If you don't already have one, you will also need an application/program to properly prepare your SD card. [Etcher](https://etcher.io/) works on most computers. Insert the SD card into your computer (using an built-in reader or an external USB reader), load Etcher, select your newly extracted Armbian .img file, select the SD card you want to set up, and click Flash!

When Etcher is finished, you're ready to insert your Armbian SD card into your Pine64 and power it on.

(to be continued.)
